package com.tarena.oss.userservice.dao;

import java.util.Collection;

import com.tarena.oss.userservice.pojo.UserService;


public interface UserServiceMgmtDAO {
	public void insertUserService(UserService userservice);
	public void updateUserService(UserService userservice);
	public void deleteUserService(UserService userservice);
	
	public Collection<UserService> queryUserServices();
	public UserService queryUserService(Integer id);
	
	public Collection<UserService> queryUserServices(String cond);
	public Collection<UserService> queryUserServices(int currentPage);
	public Collection<UserService> queryUserServices(String cond, int currentPage);
	
	public int queryUserServiceCnt();
	public int queryUserServiceCnt(String cond);

}
